跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://docs.xpaylabs.com/llms.txt

Use this file to discover all available pages before exploring further.

返回收款订单的结账详情。此端点是托管结账页面用于渲染支付说明所使用的,但您也可以直接调用它以获取面向客户界面的订单信息。

请求

GET http://your-gateway:3010/v1/order/pay?orderId={orderId}&sign={sign}

查询参数

orderId
string
必填
订单标识符。
sign
string
必填
基于 orderId 值计算的 HMAC-SHA256 签名。

cURL

curl "http://your-gateway:3010/v1/order/pay?orderId=order_1042&sign=a1b2c3d4e5f6..."

响应

成功的请求返回 HTTP 200,带 R<PayinOrderVo> 信封。

PayinOrderVo 对象

orderId
string
订单标识符。
chain
string
此支付的区块链网络。
symbol
string
代币符号。
address
string
客户应发送资金的充值地址。
amount
string
请求的金额,十进制字符串格式。
actualAmount
string
支付确认后实际收到的金额。支付前为 null
expiredTime
integer
此支付请求过期的 Unix 时间戳。
status
string
当前订单状态。可能的值请参见订单状态
reason
string | null
失败或过期原因。如果订单仍然有效则为 null

示例响应

{
  "code": 200,
  "msg": "success",
  "data": {
    "orderId": "order_1042",
    "chain": "TRON",
    "symbol": "USDT",
    "address": "TWkKZkmuB8DpVeiMoHiKf99ZoFHzk73CqR",
    "amount": "250.00",
    "actualAmount": null,
    "expiredTime": 1717086400,
    "status": "PENDING",
    "reason": null
  }
}
Last modified on May 31, 2026